services:

  app.graphql.resolver:
    class: Datatourisme\Api\Resolver\BlazegraphResolver\BlazegraphResolver
    private: true
    arguments: ['%sparql_endpoint%']
    calls:
      - method: setTimeout
        arguments: ['%sparql_timeout%']

  app.graphql.processor_builder:
    class: Datatourisme\Api\DatatourismeApiBuilder
    private: true
    calls:
      - method: setCache
        arguments: ["%kernel.cache_dir%/graphql"]
      - method: setResolver
        arguments: ["@app.graphql.resolver"]
#      - method: setSchema
#        arguments: ["@=service('file_locator').locate('@AppBundle/Resources/graphql/schema.yml')"]

  app.graphql.api:
    class: Datatourisme\Api\DatatourismeApi
    factory: ['@app.graphql.processor_builder', build]
